# com.sun.grid.jgdi.configuration.reflect

## Interfaces

- ClassDescriptor

## Classes

- AbstractClassDescriptor
- DefaultListPropertyDescriptor
- DefaultMapListPropertyDescriptor
- DefaultMapPropertyDescriptor
- GEObjectDescriptor
- ListPropertyDescriptor
- MapListPropertyDescriptor
- MapPropertyDescriptor
- PlainListPropertyDescriptor
- PropertyDescriptor
- SimplePropertyDescriptor

## Exceptions

- InvalidObjectException